Bug 1304722 - pcp pmda subrpm remove should trigger ./Remove script
Summary: pcp pmda subrpm remove should trigger ./Remove script
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pcp
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nathan Scott
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-02-04 13:11 UTC by Frank Ch. Eigler
Modified: 2016-04-06 14:54 UTC (History)
8 users (show)

Fixed In Version: pcp-3.11.1-1.fc24 pcp-3.11.1-1.fc23 pcp-3.11.1-1.fc22 pcp-3.11.1-1.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-26 17:55:53 UTC


Attachments (Terms of Use)

Description Frank Ch. Eigler 2016-02-04 13:11:40 UTC
Running # rpm -e pcp-pmda-FOOBAR for an enabled pmda leaves
it behind in /etc/pcp/pmcd/pmcd.conf, and is consequently
reported as a failed pmda at the next startup.  It would be
nice if a %postun spec fragment would run the ./Remove parts
of the affected pmda.

(This is the less controversial dual of the desire to have
the %post (-install) fragment run ./Install.)

Comment 1 Lukas Berk 2016-02-04 14:24:57 UTC
Would it not make more sense for this to occur in the %preun spec scriptlet?

By the %postun fragment, the package contents (including the pmda's ./Remove script referenced) would already have been erased.

Comment 2 Jan Kurik 2016-02-24 14:24:21 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 3 Fedora Update System 2016-03-21 14:44:55 UTC
pcp-3.11.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-90112fb9ca

Comment 4 Fedora Update System 2016-03-21 14:46:33 UTC
pcp-3.11.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e687eabad0

Comment 5 Fedora Update System 2016-03-21 14:48:08 UTC
pcp-3.11.1-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-4969de37e5

Comment 6 Fedora Update System 2016-03-21 14:49:29 UTC
pcp-3.11.1-1.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-5b519318e0

Comment 7 Fedora Update System 2016-03-21 22:30:39 UTC
pcp-3.11.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-90112fb9ca

Comment 8 Fedora Update System 2016-03-22 00:17:14 UTC
pcp-3.11.1-1.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-5b519318e0

Comment 9 Fedora Update System 2016-03-22 01:26:23 UTC
pcp-3.11.1-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-4969de37e5

Comment 10 Fedora Update System 2016-03-22 15:22:35 UTC
pcp-3.11.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e687eabad0

Comment 11 Fedora Update System 2016-03-26 17:55:38 UTC
pcp-3.11.1-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2016-03-30 20:53:39 UTC
pcp-3.11.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-03-30 21:19:58 UTC
pcp-3.11.1-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2016-04-06 14:53:27 UTC
pcp-3.11.1-1.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.